Opened 6 years ago

Closed 6 years ago

Last modified 6 years ago

#12203 closed defect (fixed)

Onionoo doesn't include a bridge's pool assignment

Reported by: karsten Owned by: karsten
Priority: Medium Milestone:
Component: Metrics/Onionoo Version:
Severity: Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

The following bridge doesn't have anything in its pool_assignment field:

https://onionoo.torproject.org/details?lookup=36D9AD6C8B44E231ACCF4388FBABE611DC6C5756

{
    "relays_published": "2014-06-04 17:00:00",
    "relays": [],
    "bridges_published": "2014-06-04 16:37:05",
    "bridges": [
        {
            "nickname": "PrivateSnowball",
            "hashed_fingerprint": "36D9AD6C8B44E231ACCF4388FBABE611DC6C5756",
            "or_addresses": [
                "10.56.9.151:44445"
            ],
            "last_seen": "2014-06-04 16:37:05",
            "first_seen": "2014-05-19 05:37:04",
            "running": true,
            "flags": [
                "Fast",
                "Running",
                "Stable",
                "Valid"
            ],
            "last_restarted": "2014-05-28 08:31:33",
            "advertised_bandwidth": 54280,
            "platform": "Tor 0.2.5.4-alpha-dev on Linux"
        }
    ]
}

However, the assignments file contains this bridge (rewrapped line):

36d9ad6c8b44e231accf4388fbabe611dc6c5756
  email ip=4 flag=stable transport=obfs3,scramblesuit

Looks like a bug. Spotted by alphawolf.

Child Tickets

Change History (3)

comment:1 Changed 6 years ago by alphawolf

In case it's relevant: This bridge was formerly a relay. I deleted all the keys and changed the ORPort when I made the switch, but the IP address is still the same.

comment:2 Changed 6 years ago by karsten

Resolution: fixed
Status: newclosed

Fixed and deployed. Thanks for reporting! Closing.

comment:3 Changed 6 years ago by karsten

(That was meant as "Thanks for reporting, alphawolf!", not thanking myself here...)

Note: See TracTickets for help on using tickets.